> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evento customer.deleted

> Evento customer.deleted.

## Evento `customer.deleted`

Disparado quando um cliente é removido via
[`DELETE /v1/customers/:id`](/api-reference/customers/delete).

`data.object` carrega o `customer` no estado imediatamente anterior à
remoção. O cliente já não aparece em [`GET /v1/customers`](/api-reference/customers/list)
nem em [`GET /v1/customers/:id`](/api-reference/customers/get).

```json theme={}
{
  "id": "evt_123",
  "object": "event",
  "created_at": "2026-05-17T12:00:00Z",
  "data": {
    "object": {
      "id": "cus_123",
      "object": "customer",
      "billing_address": null,
      "billing_name": null,
      "created_at": "2026-05-16T14:09:27Z",
      "document": "12345678901",
      "document_type": "cpf",
      "email": "nome@email.com",
      "livemode": true,
      "metadata": {
        "reference_id": "ref_456"
      },
      "name": "Cliente Exemplo",
      "phone": null,
      "updated_at": "2026-05-16T15:02:10Z"
    }
  },
  "livemode": true,
  "organization": "org_123",
  "request": {
    "id": null
  },
  "type": "customer.deleted"
}
```
